#
# spec file for package xfhell
#
# Please submit bug reports / bug fixes to http://bugs.opensuse.org
#


Name:          xfhell
Summary:       GTK+ application for Hellschreiber
Version:       3.5.1
Release:       2.18
Group:         Productivity/Hamradio/Other
License:       GPL-3.0
URL:           http://www.qsl.net/5b4az/pages/digital.html
Source:        http://www.qsl.net/5b4az/pkg/xfhell/%{name}-%{version}.tar.bz2
Patch0:        xfhell-openSUSE.diff
Patch1:        xfhell-fix-install.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk3-devel >= 3.22
BuildRequires: alsa-devel
BuildRequires: gcc-c++
BuildRequires: intltool >= 0.50.0

%description
xfhell is a GTK+ application for the "fuzzy" digital communication mode known
as Hellschreiber. xfhell has several different built-in fonts in Adobe BDF
format, including a font set for Greek, and a special "short" font set that is
12 pixels high instead of the standard 14 of the original Hell fonts. Using this
font set would make xfhell incompatible with other Hellschreiber programs, but
the short fonts speed up operation and avoid wasted bandwidth, inherent in the
original Hellschreiber design (an unavoidable problem of the original mechanical
implementation of the mode). xfhell also has selectable lower baud rate
operation (down to 7.6 Bd), which again make it incompatible with other
Hellschreiber programs, but the lower speeds (especially combined with the
12-pixel fonts) would make this mode even more efficient and effective.

Another distinguishing characteristic of xfhell is its ability to compensate for
slight differences in the clock frequency of sound cards, which produce the
characteristic skew of decoded text, requiring double-row printing in order to
make it legible. Hence xfhell prints received text on a single row, continuously
compensating for clock skew and propagation path effects. This feature works well
when capital letters are in use so that with lower-case letters, the printed text
tends to wonder up-down in the screen - please avoid lower case letters, they are
hard to read anyway!
xfhell has built-in CAT control for the FT847 and FT857 transceivers and a QSO
logging facility similar to xpsk31. It also has a FFT-derived waterfall display
of the incoming signal, with the ability to detect maximum signal level and tune
the transceiver, via CAT, to the appropriate carrier frequency by clicking near
the signal trace.

Authors:
--------
    Neoklis Kyriazis, 5B4AZ <n5b4az (at) yahoo (dot) com>


%prep
%autosetup -p1

%build
%configure
%make_build


%install
%make_install

%{__install} -D xfhell_run %{buildroot}%{_bindir}/xfhell_run

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 xfhell/xfhellrc %{buildroot}%{_datadir}/%{name}/

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}/pixbufs

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}/fonts
%{__install} -m 644 xfhell/fonts/README %{buildroot}%{_datadir}/%{name}/fonts/

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}/fonts/12pt
%{__install} -m 644 xfhell/fonts/12pt/*.bdf %{buildroot}%{_datadir}/%{name}/fonts/12pt/

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}/fonts/14pt
%{__install} -m 644 xfhell/fonts/14pt/*.bdf %{buildroot}%{_datadir}/%{name}/fonts/14pt/

%{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}/fonts/14pt/other
%{__install} -m 644 xfhell/fonts/14pt/other/*.bdf %{buildroot}%{_datadir}/%{name}/fonts/14pt/other

%check

%files
%doc AUTHORS README_openSUSE doc/*
%if 0%{?suse_version} >= 1330
%license COPYING
%else
%doc COPYING
%endif
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_docdir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Wed Oct  2 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- version 3.5.1
* Sat May 21 2016 wk@ire.pw.edu.pl
- version 3.2
* Wed Dec 31 2014 wk@ire.pw.edu.pl
- version 3.1
* Thu Dec 11 2014 wk@ire.pw.edu.pl
- version 3.0
* Sun Nov  2 2014 wk@ire.pw.edu.pl
- version 2.9
* Mon Sep 15 2014 wk@ire.pw.edu.pl
- version 2.8
- fixed duplicate font files in 14pt/other subdirectory
- fixed most of rpmlint errors and warnings
* Wed Oct  9 2013 wk@ire.pw.edu.pl
- version 2.5
- removed outdated stuff
* Sat Feb 16 2013 wk@ire.pw.edu.pl
- version 2.4 for openSUSE 12.2 and later
- version 2.3 for openSUSE 12.1
- specfile rewrited
* Sun Mar 18 2007 dl9pf@gmx.de
- import into buildservice
